#!/bin/zsh

# Copyright 2015 - 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

catfile="${_DATA}/mappings/categories"

remove="$(POST remove)"
newcat="$(POST newcat)"

if [ "$(POST add)" = "add" ]; then
  categories="$( {
    cat "$catfile"
    printf %s\\n "$newcat"
  } |sort -u )"
  printf %s\\n "$categories" >"$catfile"
elif [ "$remove" ]; then
  sed -E -i '/^'"${remove}"'$/d' "$catfile"
fi

REDIRECT "/categories/"
